Debian Bug report logs - #418009
utmp.5 innaccurate re xterm, outdated re libc5

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Joey Hess <joeyh@debian.org>

Date: Fri, 6 Apr 2007 06:27:01 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/2.43-0

Fixed in versions manpages/2.44-2, manpages/2.55-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#418009; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: utmp.5 innaccurate re xterm, outdated re libc5
Date: Fri, 6 Apr 2007 02:22:45 -0400
[Message part 1 (text/plain, inline)]
Package: manpages
Version: 2.43-0
Severity: minor

       xdm(8)  should  not create a utmp record, because there is no assigned
       terminal.  Letting it create one will result in errors, such as  #fin#
       ger:  cannot  stat  /dev/machine.dom#.  It should create wtmp entries,
       though, just like ftpd(8) does.

IIRC we _did_ have some breakage when xdm started adding utmp records, but
that was long ago, and all fixed by now, and it does create utmp records now.
So this paragraph is out of date.

       Note  that the utmp struct from libc5 has changed in libc6. Because of
       this, binaries using the old libc5 struct will  corrupt  /var/run/utmp
       and/or  /var/log/wtmp.   Debian  systems include a patched libc5 which
       uses the new utmp format.  The problem still exists  with  wtmp  since
       it’s accessed directly in libc5.

Of course, Debian systems no longer contain a libc5 as of etch.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#418009; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Joey Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 418009@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 418009@bugs.debian.org
Subject: Re: utmp.5 innaccurate re xterm, outdated re libc5
Date: Wed, 25 Apr 2007 18:28:02 +0200
Joey Hess wrote:
> Package: manpages
> Version: 2.43-0
> Severity: minor
> 
>        xdm(8)  should  not create a utmp record, because there is no assigned
>        terminal.  Letting it create one will result in errors, such as  #fin#
>        ger:  cannot  stat  /dev/machine.dom#.  It should create wtmp entries,
>        though, just like ftpd(8) does.
> 
> IIRC we _did_ have some breakage when xdm started adding utmp records, but
> that was long ago, and all fixed by now, and it does create utmp records now.
> So this paragraph is out of date.

Hi Michael,

mind removing this note upstream as well?

description:
----------------------------
revision 1.13
date: 2007-04-25 18:25:56 +0200;  author: joey;  state: Exp;  lines: +0 -14;  commitid: DkbQ6JU104a0ptfs;
Removed xdm note (closes: Bug#418009)
=============================================================================
Index: utmp.5
===================================================================
RCS file: /var/cvs/debian/manpages/man5/utmp.5,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -p -r1.12 -r1.13
--- utmp.5	22 Apr 2007 16:13:05 -0000	1.12
+++ utmp.5	25 Apr 2007 16:25:56 -0000	1.13
@@ -161,13 +161,6 @@ will mark it as \fBDEAD_PROCESS\fP on ex
 they null \fIut_line\fP, \fIut_time\fP, \fIut_user\fP, and \fIut_host\fP
 as well.
 .PP
-\fIxdm\fP(8) should not create a utmp record, because there is no
-assigned terminal.  Letting it create one will result in errors, such
-as 'finger: cannot stat /dev/machine.dom'.  It should create wtmp entries,
-though, just like
-.BR ftpd (8)
-does.
-.PP
 .BR telnetd (8)
 sets up a \fBLOGIN_PROCESS\fP entry and leaves the rest to
 .BR login (8)


>        Note  that the utmp struct from libc5 has changed in libc6. Because of
>        this, binaries using the old libc5 struct will  corrupt  /var/run/utmp
>        and/or  /var/log/wtmp.   Debian  systems include a patched libc5 which
>        uses the new utmp format.  The problem still exists  with  wtmp  since
>        it???s accessed directly in libc5.
> 
> Of course, Debian systems no longer contain a libc5 as of etch.

Removed in the Debian version, not sure about upstream version.

Regards,

	Joey

-- 
Given enough thrust pigs will fly, but it's not necessarily a good idea.

Please always Cc to me when replying to me on the lists.



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 418009-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 418009-close@bugs.debian.org
Subject: Bug#418009: fixed in manpages 2.44-2
Date: Fri, 27 Apr 2007 14:47:05 +0000
Source: manpages
Source-Version: 2.44-2

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.44-2_all.deb
  to pool/main/m/manpages/manpages-dev_2.44-2_all.deb
manpages_2.44-2.diff.gz
  to pool/main/m/manpages/manpages_2.44-2.diff.gz
manpages_2.44-2.dsc
  to pool/main/m/manpages/manpages_2.44-2.dsc
manpages_2.44-2_all.deb
  to pool/main/m/manpages/manpages_2.44-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 27 Apr 2007 15:59:30 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.44-2
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 409236 410969 418009 418234 418234
Changes: 
 manpages (2.44-2) unstable; urgency=low
 .
   * Document /media as part of FHS 2.3 in hier(7) (closes: Bug#418234)
   * Fixed typo in console_codes(4) (closes: Bug#410969)
   * Unification of console_codes(4) with upstream
   * Removed xdm and libc5 notes in utmp(5) (closes: Bug#418009)
   * Removed old /dos mentioning in hier(7) (closes: Bug#418234)
   * Improvements to undocumented(7) (closes: Bug#409236)
Files: 
 30b340b67f7989857eba5c1361c96ce7 584 doc - manpages_2.44-2.dsc
 c7a1bf91029d29fbb8c4a9996fdb4da9 48351 doc - manpages_2.44-2.diff.gz
 5fbce6946a7bd7bd4cec4e72359b5e33 498504 doc important manpages_2.44-2_all.deb
 ef1329af10b89595a8d486d5a75d7a1b 1235674 doc optional manpages-dev_2.44-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGMgaoW5ql+IAeqTIRAsYLAKCOYP7my93UK1Li9DY5D76JkH0uOQCeNEqV
mI90eGBF0Uiq+AYdfsdqIyE=
=PMtL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#418009; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 418009@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Joey Schulze <joey@infodrom.org>
Cc: 418009@bugs.debian.org, debc <control@bugs.debian.org>
Subject: Re: utmp.5 innaccurate re xterm, outdated re libc5
Date: Sun, 27 May 2007 16:40:05 +0200
tags 418009 fixed-upstream
thanks

Joey Schulze wrote:
> Joey Hess wrote:
>> Package: manpages
>> Version: 2.43-0
>> Severity: minor
>>
>>        xdm(8)  should  not create a utmp record, because there is no assigned
>>        terminal.  Letting it create one will result in errors, such as  #fin#
>>        ger:  cannot  stat  /dev/machine.dom#.  It should create wtmp entries,
>>        though, just like ftpd(8) does.
>>
>> IIRC we _did_ have some breakage when xdm started adding utmp records, but
>> that was long ago, and all fixed by now, and it does create utmp records now.
>> So this paragraph is out of date.
> 
> Hi Michael,
> 
> mind removing this note upstream as well?

Removed in upstream 2.55.

Cheers,

Michael






Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Tue, 29 May 2007 06:54:15 GMT) Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 418009-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 418009-close@bugs.debian.org
Subject: Bug#418009: fixed in manpages 2.55-1
Date: Sun, 24 Jun 2007 17:47:03 +0000
Source: manpages
Source-Version: 2.55-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.55-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.55-1_all.deb
manpages_2.55-1.diff.gz
  to pool/main/m/manpages/manpages_2.55-1.diff.gz
manpages_2.55-1.dsc
  to pool/main/m/manpages/manpages_2.55-1.dsc
manpages_2.55-1_all.deb
  to pool/main/m/manpages/manpages_2.55-1_all.deb
manpages_2.55.orig.tar.gz
  to pool/main/m/manpages/manpages_2.55.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 24 Jun 2007 19:20:11 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.55-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 418009 418234
Changes: 
 manpages (2.55-1) unstable; urgency=low
 .
   * New upstream version
     . Removed outdated note on xdm in utmp(5) (closes: Bug#418009)
     . Add /media, remove /dos in hier(7) (closes: Bug#418234)
Files: 
 5e46e81519963735695d2056bc86179d 584 doc important manpages_2.55-1.dsc
 29459c1175aa2af8edd9f9bb2cf91194 1196101 doc important manpages_2.55.orig.tar.gz
 cc094f6272ade1e722f3e3b749bd9e71 45959 doc important manpages_2.55-1.diff.gz
 680b2372ec5e7f8696ef38eb89568f6e 509618 doc important manpages_2.55-1_all.deb
 1381607f4fa621e4e063c9f2f45724ca 1239834 doc optional manpages-dev_2.55-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGfqouW5ql+IAeqTIRApB+AKCFt5zOgYPR85Fsx3A5GWMUrhOZfgCeI5ne
0Y8In9Lfgq0ygJrKufG+XbY=
=Z3An
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jul 2007 07:26:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:03:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.